ros-lyrical-moveit-planners-ompl (2.14.1-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 09 Sep 2025 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.14.0-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 13 Jun 2025 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.13.2-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Apr 2025 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.13.1-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 15 Apr 2025 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.13.0-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 15 Feb 2025 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.12.0-3resolute) resolute; urgency=high

  * Enhancement/use hpp for headers (#3113 <https://github.com/ros-planning/moveit2/issues/3113>)
  * Port fixes for handling orientation constraints (#3052 <https://github.com/ros-planning/moveit2/issues/3052>)
  * Contributors: Robert Haschke, Tom Noble

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 29 Nov 2024 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.11.0-3resolute) resolute; urgency=high

  * Fix constrained-based planning / PoseModelStateSpace (#2910 <https://github.com/moveit/moveit2/issues/2910>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 16 Sep 2024 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.10.0-3resolute) resolute; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Do not overwrite the error code with OMPL interface (#2725 <https://github.com/moveit/moveit2/issues/2725>)
    In case of failure, set the error code to the one returned by the
    planning pipeline's solve method rather than overwriting it with
    PLANNING_FAILED.
  * Set planner_id in reponses with OMPL interface (#2724 <https://github.com/moveit/moveit2/issues/2724>)
    This avoids a warning PlanningPipeline::generatePlan().
    Co-authored-by: Gaël Écorchard <mailto:gael@km-robotics.cz>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Gaël Écorchard, Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Jun 2024 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.9.0-3resolute) resolute; urgency=high

  * Handle unsupported position constraints in OMPL (#2417 <https://github.com/ros-planning/moveit2/issues/2417>)
    * Handle unsupported position constraints in OMPL
    OMPL constrained planning assumes that all position constraints have three
    dimensions, meaning that they are represented by a BOX bounding volume.
    If another shape is used (like a SPHERE from moveit_core/kinematic_constraints/utils.hpp),
    the constraint adapter implementation will produce a segfault because of
    the lack of dimensions. This fix prevents this by checking for the
    required BOX type.
    * Add warning if more than one position primitive is used
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Invoke OMPL debug print only when debug logging is enabled (#2608 <https://github.com/ros-planning/moveit2/issues/2608>)
  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Do not pass and return simple types by const ref (#2453 <https://github.com/ros-planning/moveit2/issues/2453>)
    Co-authored-by: Nils <mailto:nilsmailiseke@gmail.com>
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Map ompl's APPROXIMATE_SOLUTION -> TIMED_OUT / PLANNING_FAILED (#2455 <https://github.com/ros-planning/moveit2/issues/2455>)
    ompl's APPROXIMATE_SOLUTION is not suitable for actual execution. It just states that we got closer to the goal...
    The most prominent reason for an approximate solution is a timeout. Thus, return TIMED_OUT and print the used timeouts for convenience.
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Converts float to double (#2343 <https://github.com/ros-planning/moveit2/issues/2343>)
    * Limiting the scope of variables #874 <https://github.com/ros-planning/moveit2/issues/874>
    Limited the scope of variables in moveit_core/collision_detection
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * convert float to double
    * change double to float
    * Feedback fixes
    * Introduced variables removed from previous merge commit
    * Updated GL_Renderer function definitions with double instead of float
    * Changed update() function arguments to float since it is a derived virtual function and needs to be overriden
    * Fixed all override errors in visualization
    * *Fixed override errors in perception
    *Changed reinterpret_cast to double* from float*
    * change variable types to fit function definition
    * Fixed clang-tidy warnings
    * Fixed scope of reusable variables
    ---------
    Co-authored-by: Salah Soliman <mailto:salahsoliman96@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Henning Kayser, Igor Medvedev, Marq Rasmussen, Robert Haschke, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 09 Jan 2024 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.8.0-3resolute) resolute; urgency=high

  * Fix typo in model_based_planning_context.h (#2243 <https://github.com/ros-planning/moveit2/issues/2243>)
  * Warn if optimization objective does not match expected values (#2213 <https://github.com/ros-planning/moveit2/issues/2213>)
    * Warn if optimization objective does not match expected values
    * Update moveit_planners/ompl/ompl_interface/src/model_based_planning_context.cpp
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    * Format
    ---------
  * Contributors: Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 10 Sep 2023 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.7.4-3resolute) resolute; urgency=high

  * Fix Constraint Planning Segfault (#2130 <https://github.com/ros-planning/moveit2/issues/2130>)
    * Fix Constraint Planning Segfault
    * Reuse planner data
    * apply clang formatting
    * apply clang formatting round 2
    * add FIXME note and verbose output of planning graph size
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Marq Rasmussen

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 18 May 2023 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.7.3-3resolute) resolute; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Apr 2023 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.7.2-3resolute) resolute; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.7.1-3resolute) resolute; urgency=high

  * Fix include install destination (#2008 <https://github.com/ros-planning/moveit2/issues/2008>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Temporarily disable TestPathConstraints with the Panda robot (#2016 <https://github.com/ros-planning/moveit2/issues/2016>)
    This test has become flaky since it was modified to use the OMPL constrained state space (https://github.com/ros-planning/moveit2/issues/2015).
  * Increase priority for constrained planning state space (#1300 <https://github.com/ros-planning/moveit2/issues/1300>)
    * Change priority for the constrained planning state space
    * Fix constrained planning tests
    * Use PRM instead of RRTConnect
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: Abhijeet Dasgupta, AlexWebb, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Mar 2023 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.7.0-3resolute) resolute; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Cleanup msg includes: Use C++ instead of C header (#1844 <https://github.com/ros-planning/moveit2/issues/1844>)
  * Remove ancient OMPL version directives (#1825 <https://github.com/ros-planning/moveit2/issues/1825>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Abhijeet Das Gupta, Chris Thrasher, Christian Henkel, Cory Crean, Henning Kayser, Robert Haschke, Sameer Gupta

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 29 Jan 2023 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.6.0-3resolute) resolute; urgency=high

  * Fix logic with enforcing constrained planning state space in OMPL (#1589 <https://github.com/ros-planning/moveit2/issues/1589>)
  * Convert OMPL status to MoveItErrorCode in the OMPL interface (#1606 <https://github.com/ros-planning/moveit2/issues/1606>)
  * Factor of 2 in OMPL orientation constraints, to match kinematic_constraints (#1592 <https://github.com/ros-planning/moveit2/issues/1592>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * size_t bijection index type (#1544 <https://github.com/ros-planning/moveit2/issues/1544>)
  * Fixes for using generate_state_database (#1412 <https://github.com/ros-planning/moveit2/issues/1412>)
  * simplify_solution per planning context (#1437 <https://github.com/ros-planning/moveit2/issues/1437>)
    * Allowing to dynamically change the parameter simplify_solutions
    * Delete this configuration because it overrides the configuration loaded
    The parameters simplify_solutions is passed to the context trough the configuration of each planner but this function overrides it and seems to be contradictory to rest of the implementation. simplify_solutions shouldn't be considered as the rest of the other parameters, like interpolate or hybridize ?
    * Remove simplify_solutions_ from OMPL interface and all its setter/getter
    * Clean-up code without ConfigureContext and unneeded code related to simplify_solution
  * correctly initialize rmw_serialized_message_t
  * automatically declare parameters from overrides
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Merge https://github.com/ros-planning/moveit/commit/a63580edd05b01d9480c333645036e5b2b222da9
  * Remove ConstraintSampler::project() (#3170 <https://github.com/ros-planning/moveit2/issues/3170>)
    * Remove unused ompl_interface::ValidConstrainedSampler
    Last usage was removed in f2f6097ab7e272568d6ab258a53be3c7ca67cf3b.
    * Remove ConstraintSampler::project()
    sample() and project() only differ in whether they perform random sampling
    of the reference joint pose or not. Both of them are sampling.
    This was highly confusing, as from project() one wouldn't expect sampling.
  * Contributors: Alaa, AndyZe, Antoine Duplex, Henning Kayser, Robert Haschke, Sebastian Jahr, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 10 Nov 2022 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.5.3-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 28 Jul 2022 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.5.2-3resolute) resolute; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Add support for mixed constraints with constrained planner (#1319 <https://github.com/ros-planning/moveit2/issues/1319>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Print OMPL setup info at the DEBUG level (#1330 <https://github.com/ros-planning/moveit2/issues/1330>)
  * Port OMPL orientation constraints to MoveIt2 (#1273 <https://github.com/ros-planning/moveit2/issues/1273>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: JeroenDM <mailto:jeroendemaeyer@live.be>
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * Cleanup OMPL's PlanningContextManager's protected API
  * banish bind()
  * planning_context_manager: rename protected methods
  * Contributors: AndyZe, David V. Lu, Henry Moore, Jafar, Jeroen De Maeyer, Michael Görner, Robert Haschke, Stephanie Eng, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 18 Jul 2022 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.5.1-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 31 May 2022 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.5.0-3resolute) resolute; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * planning_context_manager: rename protected methods
    sources: https://github.com/ros-planning/moveit/pull/3106/commits/a183bc16f0b5490b1b40789ad2709d1cdbba7453, https://github.com/ros-planning/moveit/pull/3106/commits/c07be63b6cd5cfcea51e91e613bea9be68950754;
  * Revert OMPL parameter loading
  * [ompl] Small code refactor (#1138 <https://github.com/ros-planning/moveit2/issues/1138>)
  * Remove new operators (#1135 <https://github.com/ros-planning/moveit2/issues/1135>)
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Delete profiler (#998 <https://github.com/ros-planning/moveit2/issues/998>)
  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit2/issues/2981>)
    ... to allow canceling the simplification step
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
  * Contributors: Abishalini, Gaël Écorchard, Henning Kayser, Jafar, Jochen Sprickerhof, Robert Haschke, Sencer Yazıcı, Simon Schmeisser, Tyler Weaver, Vatan Aksoy Tezer, jeoseo, rhaschke, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 May 2022 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.4.0-3resolute) resolute; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.3.2-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.3.1-3resolute) resolute; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Reduce log verbosity, improved info message (#714 <https://github.com/ros-planning/moveit2/issues/714>)
  * Fix #2811 <https://github.com/ros-planning/moveit/issues/2811> (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
    This is a PR for #2811 <https://github.com/ros-planning/moveit/issues/2811>
  * Add missing dependencies to generated dynamic_reconfigure headers
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Mathias Lüdtke, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, pvanlaar, v4hn, werner291

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.3.0-3resolute) resolute; urgency=high

  * Fix cmake warnings (#690 <https://github.com/ros-planning/moveit2/issues/690>)
    * Fix -Wformat-security
    * Fix -Wunused-variable
    * Fix -Wunused-lambda-capture
    * Fix -Wdeprecated-declarations
    * Fix clang-tidy, readability-identifier-naming in moveit_kinematics
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fix linking issues for ODE on macOS (#549 <https://github.com/ros-planning/moveit2/issues/549>)
  * Contributors: Henning Kayser, Nisala Kalupahana, Vatan Aksoy Tezer, David V. Lu, Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Oct 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.2.1-3resolute) resolute; urgency=high

  * Fix test dependencies (#539 <https://github.com/ros-planning/moveit2/issues/539>)
  * Add persistent planner support back (#537 <https://github.com/ros-planning/moveit2/issues/537>)
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.2.0-3resolute) resolute; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * Temporarily disable flaky OMPL test (#495 <https://github.com/ros-planning/moveit2/issues/495>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * CI: Use compiler flag --pedantic (#2691 <https://github.com/ros-planning/moveit/issues/2691>)
    * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Contributors: JafarAbdi, Michael Görner, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer, petkovich

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.1.4-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.1.3-3resolute) resolute; urgency=high

  * Fix incomplete start states in OMPL ThreadSafeStateStorage (#455 <https://github.com/ros-planning/moveit2/issues/455>)
  * ompl_interface: Fix loading group's specific parameters (#461 <https://github.com/ros-planning/moveit2/issues/461>)
  * Contributors: Jafar Abdi, Pradeep Rajendran

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.1.2-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.1.1-3resolute) resolute; urgency=high

  * Add differential drive joint model (#390 <https://github.com/ros-planning/moveit2/issues/390>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * OMPL constrained planning (#347 <https://github.com/ros-planning/moveit2/issues/347>)
    Co-authored-by: JeroenDM <mailto:jeroendemaeyer@live.be>
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Fix repo URLs in package.xml files
  * Contributors: Boston Cleek, David V. Lu!!, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.1.0-3resolute) resolute; urgency=high

  * [fix] Rosdep dependencies for ros_testing, OpenMP (#309 <https://github.com/ros-planning/moveit2/issues/309>)
  * [fix] OMPL parameter loading (#178 <https://github.com/ros-planning/moveit2/issues/178>)
  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Update to new moveit_resources layout (#247 <https://github.com/ros-planning/moveit2/issues/247>)
  * [maint] Enable clang-tidy-fix and ament_lint_cmake (#210 <https://github.com/ros-planning/moveit2/issues/210>)
  * [ros2-migration] Port move_group to ROS2 (#217 <https://github.com/ros-planning/moveit2/issues/217>)
    * switch OMPL to use pluginlib
  * Contributors: Edwin Fan, Henning Kayser, Jonathan Chapple, Lior Lustgarten

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (2.0.0-3resolute) resolute; urgency=high

  * [fix] Fix OMPL logging macros
  * [fix] Fix OMPL planner plugin install
  * [improve] Load planner parameters from subnamespace
  * [port] Port moveit_planners_ompl to ROS 2 (#142 <https://github.com/ros-planning/moveit2/issues/142>)
  * [improve] Load OMPL planner config parameters
  * [sys] replace rosunit -> ament_cmake_gtest
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Feb 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.1.1-3resolute) resolute; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.1.0-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.6-3resolute) resolute; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Aug 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.5-3resolute) resolute; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Jul 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.4-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 May 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.3-3resolute) resolute; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 26 Apr 2020 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.2-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 28 Jun 2019 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.1-3resolute) resolute; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Mar 2019 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (1.0.0-3resolute) resolute; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Feb 2019 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.8-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Dec 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.7-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Dec 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.6-3resolute) resolute; urgency=high

  * [fix] Fixed memory leak in OMPL planner (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * Resolve circular reference to ompl::geometric::SimpleSetupPtr
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 09 Dec 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.5-3resolute) resolute; urgency=high

  * [fix] Build regression (#1174 <https://github.com/ros-planning/moveit/issues/1174>)
  * Contributors: Chris Lalancette

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.4-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.3-3resolute) resolute; urgency=high

  * [maintenance] Use locale independent conversion from double to string (#1099 <https://github.com/ros-planning/moveit/issues/1099>)
  * Contributors: Simon Schmeisser

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.2-3resolute) resolute; urgency=high

  * [capability] adaptions for OMPL 1.4 (#903 <https://github.com/ros-planning/moveit/issues/903>)
  * Contributors: Dave Coleman, Michael Görner, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 24 Oct 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.10.1-3resolute) resolute; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Make trajectory interpolation in MoveIt consistent to OMPL (#869 <https://github.com/ros-planning/moveit/issues/869>)
  * Contributors: Bryce Willey, Ian McMahon, Mikael Arguedas, Robert Haschke, Xiaojian Ma

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 25 May 2018 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.11-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 25 Dec 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.10-3resolute) resolute; urgency=high

  * [maintenance][kinetic onward] Remove OutputHandlerROS from ompl_interface (#609 <https://github.com/ros-planning/moveit/issues/609>)
  * Contributors: Bence Magyar

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Dec 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.9-3resolute) resolute; urgency=high

  * [improve][moveit_planners_ompl] Optional forced use of JointModelStateSpaceFactory (#541 <https://github.com/ros-planning/moveit/issues/541>)
  * Contributors: henhenhen

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Aug 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.8-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Jun 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.7-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Jun 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.6-3resolute) resolute; urgency=high

  * Always update initial robot state to prevent dirty robot state error.
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Apr 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.5-3resolute) resolute; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Mar 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.4-3resolute) resolute; urgency=high

  * [enhancement] ompl_interface: uniform & simplified handling of the default planner (#371 <https://github.com/ros-planning/moveit/issues/371>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Michael Goerner

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 06 Feb 2017 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.3-3resolute) resolute; urgency=high

  * [capability] Exposed planners from latest ompl release. (#338 <https://github.com/ros-planning/moveit/issues/338>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon, Ruben Burger

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Nov 2016 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.9.2-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Nov 2016 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.7.0-3resolute) resolute; urgency=high

  * Removed trailing whitespace from entire repository
  * Fixed include directory order to make ros package shadowing work.
  * fixing internal storing of config settings
  * Make sure an overlayed OMPL is used instead of the ROS one.
  * fix simplifySolutions(bool) setter
    The method simplifySolutions(bool) always set the simplify_solutions member to true and the input variable "flag" was ignored.
    The method is fixed by setting the simplify_solutions member to the value of the input variable "flag".
  * changed location of getDefaultPlanner
  * Contributors: Bastian Gaspers, Christian Dornhege, Dave Coleman, Dave Hershberger, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 Jan 2016 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.6.7-3resolute) resolute; urgency=high

  * Changed OMPL SimpleSetup member variable to shared pointer, passed MotionPlanningRequest to child function
  * Simplified number of solve() entry points in moveit_planners_ompl
  * Fixed uninitialized ``ptc_`` pointer causing a crash.
  * renamed newGoal to new_goal for keeping with formatting
  * setting GroupStateValidityCallbackFn member for constraint_sampler member and implementing callbacks for state validity checking
  * added functions to check validit of state, and also to act as callback for constraint sampler
  * Added copy function from MoveIt robot_state joint values to ompl state
  * fix for demo constraints database linking error
  * Namespaced less useful debug output to allow to be easily silenced using ros console
  * Contributors: Dave Coleman, Dave Hershberger, Sachin Chitta, arjungm

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Oct 2014 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.6.6-3resolute) resolute; urgency=high

  * indigo version of moveit planners
  * fix compile error on Indigo
  * Fix for getMeasure() virtual function OMPL change
  * Move OMPL paths before catkin to avoid compilation against ROS OMPL package when specifying a different OMPL installation
  * Fixed bug which limited the number of plans considered to the number of threads.
  * Contributors: Alexander Stumpf, Chris Lewis, Dave Coleman, Ryan Luna, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Jul 2014 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.5.5-3resolute) resolute; urgency=high

  * update build system for ROS indigo
  * Removed duplicate call to setPlanningScene(), added various comments
  * Contributors: Dave Coleman, Ioan Sucan

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 Mar 2014 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.5.4-3resolute) resolute; urgency=high

  * fix segfault when multiple goals are passed to move_group

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 06 Feb 2014 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.5.3-3resolute) resolute; urgency=high

  * update to new API

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 11 Oct 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.5.2-3resolute) resolute; urgency=high

  * porting to new robot state

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Sep 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.5.1-3resolute) resolute; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * namespace change for profiler

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Aug 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.5.0-3resolute) resolute; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 15 Jul 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.4.2-3resolute) resolute; urgency=high

  * white space fixes (tabs are now spaces)
  * port ompl plugin to new base class for planning_interface (using planning contexts)

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 12 Jul 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.4.1-3resolute) resolute; urgency=high

  * use new location of RRTstar, add PRMstar
  * Added new cost function that takes into account robot joint movements
  * Added ability for parameter sweeping by allowing parameters to be changed in planning contexts
  * Added ability to alter configs in a cache

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 04 Jul 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.4.0-3resolute) resolute; urgency=high

  * propagating changes from moveit_core

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 27 May 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.11-3resolute) resolute; urgency=high

  * remove some debug output and add some fixes
  * some fixes for planning with constraint approximations
  * more refactoring; what used to work (including using constraint approximations) works fine. explicitly storing motions is not yet done
  * refactor constraints storage stuff
  * display random motions in a slightly more robust way
  * remove follow constraints API
  * combine ompl_interface and ompl_interface_ros
  * don't print status
  * remove option for ordering constraint approximations (and fix #12 <https://github.com/ros-planning/moveit_planners/issues/12>)
  * add test for jumping configs
  * use project() instead of sample() for producing goals
  * minor fixes and add demo database construction code
  * switch to using the profiler in moveit and add one more debug tool

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 02 May 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.10-3resolute) resolute; urgency=high

  * Merge branch 'groovy-devel' of github.com:ros-planning/moveit_planners into groovy-devel
  * remove incorrect dep
  * add dynamic reconfigure options for #2 <https://github.com/ros-planning/moveit_planners/issues/2>

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 Apr 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.9-3resolute) resolute; urgency=high

  * disable old style benchmarking

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 16 Apr 2013 13:39:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.8-3resolute) resolute; urgency=high

  * fix #8 <https://github.com/ros-planning/moveit_planners/issues/8>
  * use namespace option in ompl plugin
  * remove unused functions
  * add buildtool depends
  * Fixed state deserialization: now update var transform too
  * collapse OMPL plugin to one package
  * robustness fix
  * Fixed github url name

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 16 Apr 2013 11:23:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.7-3resolute) resolute; urgency=high

  * Remove configure from PlanningScene
  * add multi-collision to PlanningScene
  * renaming kinematic_model to robot_model

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Mar 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.6-3resolute) resolute; urgency=high

  * complete renaming process
  * rename KinematicState to RobotState, KinematicTrajectory to RobotTrajectory
  * propagating fixes from moveit_core
  * use new robot_trajectory lib

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 02 Feb 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.5-3resolute) resolute; urgency=high

  * fix reporting of goal collisions
  * add some verbose output for failing goals
  * port to new DisplayTrajectory message
  * propagate API changes from planning_interface
  * minor fix
  * use the project() method to improve constraint following algorithm
  * change default build flags

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 28 Jan 2013 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.4-3resolute) resolute; urgency=high

  * dynamic_reconfigure workaroung

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Dec 2012 23:59:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.3-3resolute) resolute; urgency=high

  * update dyn reconfig call

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Dec 2012 21:51:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.2-3resolute) resolute; urgency=high

  * fix call to obsolete function

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Dec 2012 13:45:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.1-3resolute) resolute; urgency=high

  * using the constraint sampler loading library
  * make sure sampled goals are valid
  * fix buildtool tag

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Dec 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.3.0-3resolute) resolute; urgency=high

  * add a debug msg
  * re-enable heuristic
  * first working version of follow planner
  * most of the follow alg, but not 100% complete yet
  * pass valid state samplers into the follow algorithm
  * add constrained valid state sampler
  * minor fixes
  * fixes some catkin CMakeLists issues
  * add code to allow execution of follow()
  * port test to groovy
  * placeholder for to-be-added algorithm
  * minor touch-ups; no real functional changes other than a bias for state samplers wrt dimension of the space (when sampling in a ball of dimension D, focus the sampling towards the surface of the ball)
  * minor & incomplete fix

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 10 Dec 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.2.5-3resolute) resolute; urgency=high

  * update to new message API

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 26 Nov 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.2.4-3resolute) resolute; urgency=high

  * improve error message
  * stricter error checking
  * update include path

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 23 Nov 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.2.3-3resolute) resolute; urgency=high

  * use generalized version of getMaximumExtent()

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Nov 2012 22:47:00 -0000

ros-lyrical-moveit-planners-ompl (0.2.2-3resolute) resolute; urgency=high

  * more fixes to planners
  * removed bad include dir
  * fixed some plugin issues
  * fixed include dirs in ompl ros interface
  * added gitignore for ompl/ros

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Nov 2012 22:41:00 -0000

ros-lyrical-moveit-planners-ompl (0.2.1-3resolute) resolute; urgency=high

  * update install location of include/

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 06 Nov 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.2.0-3resolute) resolute; urgency=high

  * udpate install targets

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Nov 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.1.2-3resolute) resolute; urgency=high

  * bump version
  * install the plugin lib as well
  * add TRRT to the list of options

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.1.1-3resolute) resolute; urgency=high

  * fixes for build against groovy

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2012 00:00:00 -0000

ros-lyrical-moveit-planners-ompl (0.1.0-3resolute) resolute; urgency=high

  * port to groovy
  * added some groovy build system files
  * more moving around of packages

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 28 Oct 2012 00:00:00 -0000


